>

vue.js 프로젝트에서 GitHub 단계에 따라 vue-sortable 를 사용합니다. :

import Sortable from 'vue-sortable'
Vue.use(Sortable)
    <div id="frame_layout"  v-sortable>
        <div>
            one
        </div>
        <div>
            two
        </div>
        <div>
            three
        </div>
    </div>

그러나 다음과 같은 오류가 발생합니다 :

와이즈 비즈

[Vue warn]: Error in directive sortable update hook: "Sortable: el must be HTMLElement, and not [object Undefined]"


  • 답변 # 1

    vue-sortable은 Vue.js 2.0을 지원하지 않습니다. GitHub에서 마지막 업데이트가 2 년 전임을 알 수 있습니다.

    Vue-Draggable을 사용하여 바꿀 수 있습니다.

  • 이전 jquery 또는 ajax없이 일반 자바 스크립트를 사용하여 PHP 값을 모달로 전달
  • 다음 전 세계 WebGL 병렬 처리의 예